[arch-commits] Commit in msmtp/trunk (PKGBUILD)

Allan McRae allan at archlinux.org
Thu Nov 19 23:35:10 EST 2009


    Date: Thursday, November 19, 2009 @ 23:35:10
  Author: allan
Revision: 59062

upgpkg: msmtp 1.4.19-1
    upstream update - fixes CVE-2009-3942

Modified:
  msmtp/trunk/PKGBUILD

----------+
 PKGBUILD |   13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-11-20 03:58:05 UTC (rev 59061)
+++ PKGBUILD	2009-11-20 04:35:10 UTC (rev 59062)
@@ -3,23 +3,24 @@
 # Contributor: Ben Mazer <blm at groknil.org>
 
 pkgname=msmtp
-pkgver=1.4.17
+pkgver=1.4.19
 pkgrel=1
 pkgdesc="a mini smtp client"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 license=('GPL2')
 url="http://msmtp.sourceforge.net"
-depends=('gnutls>=2.4.1' 'libidn')
+depends=('gnutls' 'libidn')
 provides=('smtp-forwarder')
 source=(http://download.sourceforge.net/sourceforge/msmtp/${pkgname}-${pkgver}.tar.bz2)
 install=${pkgname}.install
+md5sums=('f0afdc943bf7c8a3a3bf3fe1a73072c4')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc --with-ssl=gnutls || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
-  rm -f ${startdir}/pkg/usr/share/info/dir
+  make DESTDIR=${pkgdir} install || return 1
+
   # this can not be the default
   #install -Dm644 doc/msmtprc-system.example $startdir/pkg/etc/msmtprc
 }



More information about the arch-commits mailing list